Bug 3469 - filter management window improvements
Summary: filter management window improvements
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail
Classification: Unclassified
Component: Plugins/ManageSieve (show other bugs)
Version: 3.12.0
Hardware: PC Linux
: P3 normal
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2015-07-15 13:30 CEST by Ricardo Mones
Modified: 2015-07-17 18:06 CEST (History)
0 users

See Also:


Attachments
Sieve filter management window in 3.11.1-206-g463abe (22.76 KB, image/png)
2015-07-15 13:30 CEST, Ricardo Mones
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ricardo Mones 2015-07-15 13:30:31 CEST
Created attachment 1539 [details]
Sieve filter management window in 3.11.1-206-g463abe

Currently it has some issues which could be fixed, and can be seen on the attached screenshot:

* Three buttons are not translatable: Rename, Activate and Refresh (already partially reported in http://lists.claws-mail.org/pipermail/translators/2015-July/000349.html )

* Widget placement has something weird and the close button overlaps slightly the Refresh button.

Also:

* Window size is not remembered when changed, and it's shrinked to default on reopening.

Thanks in avance,
Comment 1 Charles Lehner 2015-07-16 02:31:34 CEST
Refresh can be replaced with a stock button. I'm not sure what to do about the other two buttons since the project is in string freeze. I'll work on fixing the widget placement and saving the window size.
Comment 2 users 2015-07-16 04:20:02 CEST
Changes related to this bug have been committed.
Please check latest Git and update the bug accordingly.
You can also get the patch from:
http://git.claws-mail.org/

++ ChangeLog	2015-07-16 04:20:02.787125573 +0200
http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=146582502539739159668698d34a0577cccee8b2
Merge: 9b3e3b8 7c2dd3d
Author: Colin Leroy <colin@colino.net>
Date:   Thu Jul 16 04:20:02 2015 +0200

    Merge branch 'master' of file:///home/git/claws

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=7c2dd3d976388c353632ea0c3199ccdd3e214530
Author: Charles Lehner <cel@celehner.com>
Date:   Wed Jul 15 22:14:59 2015 -0400

    ManageSieve: fix manager window button spacing
    
    - Remove unused vbox
    - Move refresh button to bottom, since it is semantically different
      from the other action buttons

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=2328d40cf23a5a6c50417bc266e42c5b2b3a90bc
Author: Charles Lehner <cel@celehner.com>
Date:   Wed Jul 15 21:57:32 2015 -0400

    ManageSieve: remove Activate button
    
    A filter can be activated by selecting its radio button in the list,
    so the activate button is not needed.
    
    Bug #3469 progress

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=455254fe241f14694c85d56c6c7c3e931b8da30f
Author: Charles Lehner <cel@celehner.com>
Date:   Wed Jul 15 21:47:45 2015 -0400

    ManageSieve: save manager window size (bug #2923)

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=ae7bea75db69009e0dae20c4262e03f9ea74c8d9
Author: Charles Lehner <cel@celehner.com>
Date:   Wed Jul 15 20:31:51 2015 -0400

    ManageSieve: use stock refresh button (bug #2923 progress)
Comment 3 Charles Lehner 2015-07-16 22:21:40 CEST
The Rename button is still not translatable, so I would consider this issue not yet fully resolved.
Comment 4 Ricardo Mones 2015-07-17 01:57:51 CEST
Yes, fixing 'Rename' has to wait for release.
Comment 5 users 2015-07-17 17:23:02 CEST
Changes related to this bug have been committed.
Please check latest Git and update the bug accordingly.
You can also get the patch from:
http://git.claws-mail.org/

++ ChangeLog	2015-07-17 17:23:02.005332385 +0200
http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=22b85a7e5383fa30e87b3e5d38407cd02c8b7bb8
Merge: 90456a2 7e1943d
Author: Colin Leroy <colin@colino.net>
Date:   Fri Jul 17 17:23:01 2015 +0200

    Merge branch 'master' of file:///home/git/claws

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=7e1943d6b833a3de6771aa9076882b73c81356f3
Author: Charles Lehner <cel@celehner.com>
Date:   Fri Jul 17 10:49:15 2015 -0400

    managesieve: Localize Rename button. Fix bug 3469
    
    not breaking string freeze because the string is already translated and in use

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=cf7df0a057eb09b41a690a671920392ea7d16999
Author: Charles Lehner <cel@celehner.com>
Date:   Fri Jul 17 10:21:06 2015 -0400

    managesieve: add back dialog hint
    
    This makes the manager window appear floating in tiling window managers
    
    This reverts commit e2d116a25f8aa0105c1319b7669af7e9723eff16.

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=cc334ab9de45bf989e29e01921670c85b0e537ae
Author: Charles Lehner <cel@celehner.com>
Date:   Fri Jul 17 10:07:44 2015 -0400

    managesieve: show warnings received when setting active script

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=c00d3332dd0783737b21a10702429515ac81b738
Author: Charles Lehner <cel@celehner.com>
Date:   Fri Jul 17 09:24:11 2015 -0400

    managesieve: handle putting/checking empty scripts